"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const collectLambdasFromFiles_1 = require("./collectLambdasFromFiles");
describe('Lambda utils', () => {
    const routes = (0, collectLambdasFromFiles_1.readLambdaConfig)('./testData/routes');
    it('Should obtain config from files', async () => {
        var _a, _b;
        (0, assert_1.default)(!!routes.find((e) => e.route === '$default'));
        (0, assert_1.default)(!!routes.find((e) => e.route === 'ANY /bird/abilities'));
        (0, assert_1.default)(!!routes.find((e) => e.route === 'ANY /'));
        (0, assert_1.default)(!!routes.find((e) => e.route === 'ANY /bird'));
        (0, assert_1.default)(((_a = routes.find((e) => e.route === 'ANY /bird')) === null || _a === void 0 ? void 0 : _a.relativeFilePath) ===
            'bird.ts');
        (0, assert_1.default)(((_b = routes.find((e) => e.route === 'ANY /bird')) === null || _b === void 0 ? void 0 : _b.name) === 'bird');
    });
    it('Should be able to handle index files', async () => {
        // console.log(JSON.stringify(routes, null, 2));
        const indexRoute = routes.find((e) => e.route === 'ANY /dog');
        (0, assert_1.default)(indexRoute !== undefined);
    });
});
//# sourceMappingURL=collectLambdasFromFiles.spec.js.map